Bug 1307733 - libqmi: FTBFS in rawhide
libqmi: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libqmi (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:47 EST by Fedora Release Engineering
Modified: 2016-03-07 16:51 EST (History)
3 users (show)

See Also:
Fixed In Version: libqmi-1.12.6-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 16:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (86.90 KB, text/plain)
2016-02-13 16:47 EST, Fedora Release Engineering
no flags Details
root.log (81.31 KB, text/plain)
2016-02-13 16:47 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 16:48 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with GCC 6 (#1307733) (1.18 KB, patch)
2016-02-29 22:29 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:47:56 EST
Your package libqmi failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12831947

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:47:58 EST
Created attachment 1125260 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:47:59 EST
Created attachment 1125261 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:48:00 EST
Created attachment 1125262 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:52:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 11:47:34 EST
qmicli-helpers.c: In function 'qmicli_get_raw_data_printable':
qmicli-helpers.c:52:2: error: statement is indented as if it were guarded by... [-Werror=misleading-indentation]
  new_str_length =  3 * data->len;
  ^~~~~~~~~~~~~~

New warning in GCC 6, and this package builds with -Werror.  Either fix the code, or if the warning is bogus, compile without -Werror.
Comment 6 Yaakov Selkowitz 2016-02-29 22:29 EST
Created attachment 1131793 [details]
Fix FTBFS with GCC 6 (#1307733)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13183803

Note You need to log in before you can comment on or make changes to this bug.